Subject: Re: [PATCH (GIT-GUI) 0/3] Improve gui blame usability for large repositories

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 17 Jul 2008 02:16:23 +0000

Alexander Gavrilov <[email-masked]> wrote:
> Full copy detection can take quite some time on large repositories, which
> substantially decreases perceived usability of the 'git gui blame' command.
> This set of patches tries to overcome it by:
> 
> 1) Allowing the user to disable '-C -C' and/or set the detection threshold.
> 
> 2) Explicitly killing back-end processes, which don't produce any output
>   during copy detection, and thus normally won't receive SIGPIPE until
>   it is finished. Runaway processes are annoying.
> 
> 3) To compensate for (1), adding a context menu item to manually invoke
>   blame -C -C -C on a group of lines.

This series is nicely done.  Works well on revision.c in git.git,
where the blame can be costly to compute with full copy detection.
And getting the incremental from the context menu also works well.

Thanks.
 
-- 
Shawn.